Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ToggleConnectionLabelsRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ToggleConnectionLabelsRequest

public class ToggleConnectionLabelsRequest
extends Request

Request to set the visiblity of the labels.

Constructor Summary
`ToggleConnectionLabelsRequest(boolean showConnectionLabel)` Constructor

Method Summary
`boolean` `showConnectionLabel()` gets the show/hide flag.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToggleConnectionLabelsRequest

    public ToggleConnectionLabelsRequest(boolean showConnectionLabel)

  Constructor

Parameters:
  `showConnectionLabel` - to show/hide the labels

Method Detail

### showConnectionLabel

    public final boolean showConnectionLabel()

  gets the show/hide flag.

  Returns:
    `true` or `flase`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.